﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using Windows.Foundation;
using System.ServiceModel.Dispatcher;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using Syncfusion.UI.Xaml.Controls.Layout;
using System.ComponentModel;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace Carousel_114368
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
            Images = new ObservableCollection<Person>();
            Images.Add(new Person("/Assets/1.jpg"));
            Images.Add(new Person("/Assets/2.jpg"));
            Images.Add(new Person("/Assets/3.jpg"));
            Images.Add(new Person("/Assets/4.jpg"));
            this.DataContext = this;
        }
        private ObservableCollection<Person> images;

        public ObservableCollection<Person> Images
        {
            get { return images; }
            set { images = value; }
        }

        private void carousel_SelectionChanged_1(object sender, SelectionChangedEventArgs e)
        {
            object sfcarousel = (sender as SfCarousel).SelectedItem;
            if (sfcarousel != null)
            {
                Frame.Navigate(typeof(Hubtile));//, (sfcarousel as Person).Image);
            }
        }
               
        private void carousel_SizeChanged_1(object sender, SizeChangedEventArgs e)
        {
            carousel.Refresh();
        }
    }
    public class Person
    {
        public string Name { get; set; }

        public string Image { get; set; }

      

        public Person(string image)
        {
            Image = image;
        }
    }

}
